Next Previous Contents

## 3.84 joy_count

> Function

>   Return the number of joysticks supported by the current driver.

> Header

>   `joystick.h`

> Declaration

>   `unsigned char __fastcall__ joy_count (void);`

> Description

>   The function returns a the number of joysticks supported by the current joystick driver.

> Limits

>   - A joystick driver must be loaded using joy_load_driver before calling this function.
>   - The function returns the number of joysticks supported by the driver. There's no way to check for the number of actually connected joysticks.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   joy_load_driver, joy_read

> Example

>   None.

Next Previous Contents